POST api/ExamFieldMappings

Creates a new exam field mappings or updates an existent exam field mappings' information.

Request Information

URI Parameters

None.

Body Parameters

Model used to retrieve or set information about an exam field mappings.

ExamFieldMappingModel
NameDescriptionTypeAdditional information
ColumnName

check (Required)

string

None.

DisplayName

check (Required)

string

None.

DataType

check (Required)

string

None.

Format

check

string

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Request Formats

application/json, text/json

Sample:
{
  "columnName": "sample string 1",
  "displayName": "sample string 2",
  "dataType": "sample string 3",
  "format": "sample string 4",
  "id": "e2e69107-3e52-4b03-b112-ec94ac0c6bfa",
  "externalId": "sample string 6"
}

application/xml, text/xml

Sample:
<ExamFieldMappingModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.ExamFieldMappings">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 6</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">e2e69107-3e52-4b03-b112-ec94ac0c6bfa</Id>
  <ColumnName>sample string 1</ColumnName>
  <DataType>sample string 3</DataType>
  <DisplayName>sample string 2</DisplayName>
  <Format>sample string 4</Format>
</ExamFieldMappingModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'ExamFieldMappingModel'.

Response Information

Resource Description

ExamFieldMappingModel
NameDescriptionTypeAdditional information
ColumnName

check (Required)

string

None.

DisplayName

check (Required)

string

None.

DataType

check (Required)

string

None.

Format

check

string

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Response Formats

application/json, text/json

Sample:
{
  "columnName": "sample string 1",
  "displayName": "sample string 2",
  "dataType": "sample string 3",
  "format": "sample string 4",
  "id": "c106ac7a-a4d6-4247-83f5-eaa16169e43b",
  "externalId": "sample string 6"
}

application/xml, text/xml

Sample:
<ExamFieldMappingModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.ExamFieldMappings">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 6</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">c106ac7a-a4d6-4247-83f5-eaa16169e43b</Id>
  <ColumnName>sample string 1</ColumnName>
  <DataType>sample string 3</DataType>
  <DisplayName>sample string 2</DisplayName>
  <Format>sample string 4</Format>
</ExamFieldMappingModel>